Feature Request: LINE NUMBERS
#1
I've tried text editors and a few other lyric/transcription programs and I must say that Karlyriceditor is by far the most stable, and easiest to use program of its' kind! Thank you!

With that said, I see 1 feature missing that I thought for sure would have been included, but I'm not seeing it in any options anywhere: LINE NUMBERS

When you validate lyrics, it says "Line ## invalid blah blah blah",  and the only way to know which line it is, is to start at line one and count downward one line at a time until you get to that line number. Not a big deal for 20-line songs, but a huge deal for several hundred-line long transcripts.

Line Numbers off to the side to identify each line would be a huge help. In the meantime, I keep Karlyriceditor open on one screen, a text editor with line numbers open on another screen and copy/paste between the two when I have to make corrections.

I'm using the current 1.11 version from the Ubuntu Repo. If this feature is available in v2.2 but not listed, please let me know so that I can manually add it. Otherwise, I'd prefer to stick to the Ubuntu official version in the repo. Either way, I want to request this must-have feature for future releases.

Thanks for your time and thanks again for THE BEST lyric editing program!
Reply
#2
I can add a "goto line" command. However when a validator shows an error, after you press "Ok" to close the validator popup, it should automatically move the cursor in the editor window to the exact line where the error is. Isn't this happening in your case as well?

PS. Version 1.11 is three years old, please consider updating it.
Reply
#3
Now that you point it out, yes, it does move the cursor to the line number and position of the error. I've always noticed it scroll the transcript when I click "OK", but never saw the cursor placement before. Might be my desktop settings that makes it unnoticeable. After clicking "OK" I had to move the cursor around with the arrow pad several times until I could actually see where the cursor was placed.

No need to alter code for this afterall. I'll play with my visual settings a bit and see if I can't make that cursor placement more obvious.

As for upgrading, I could compile 2.2, but I'm trying to use only official packages from the Ubuntu repos for an 16.04 LTS system. Is there any way to get v 1.11 upgraded in the repo? Anything I could do to help with that?

FYI, I do have auto-check for updates enabled within Karleyriceditor settings, but no connection ever seems to be made anywhere to check for updates. Again, I know I can manually add v2.2, but I don't want to deviate away from repo packages on some of the computers I use your program on (churches and church groups). I use a common 16.04 LTS system image on all of them with the same software/packages/settings to keep it simple for me and for them. If there's anything I can do to help upgrade the repo with the latest package for Ubuntu, let me know.

Thanks for the quick reply!
Reply


Forum Jump: